program hello

use MPI
implicit none

integer rank, size, ierr
integer omp_get_thread_num, omp_get_num_threads

call mpi_init(ierr)
call mpi_comm_rank(MPI_COMM_WORLD,rank,ierr)
call mpi_comm_size(MPI_COMM_WORLD,size,ierr)

!$OMP PARALLEL 
print *, "Hello (thread ", omp_get_thread_num(), " of task ", rank, " is speaking)"
!$OMP END PARALLEL

call mpi_finalize(ierr)

end program hello
